@font-face {
	font-family: 'Manrope';
	src:	url('fonts/Manrope-ExtraLight.woff') format('woff'),
		url('fonts/Manrope-ExtraLight.otf') format('truetype');
	font-weight: 300;
}
@font-face {
	font-family: 'Manrope';
	src:	url('fonts/Manrope-Regular.woff') format('woff'),
		url('fonts/Manrope-Regular.otf') format('truetype');
	font-weight: 600;
}
@font-face {
	font-family: 'Ovo';
	src:	url('fonts/Ovo-Regular.woff') format('woff'),
		url('fonts/Ovo-Regular.ttf') format('truetype');
	font-weight: 300;
}

@keyframes fade_in {
	0%	{ opacity: 0; }
}
@keyframes go_in {
	0%	{ transform: perspective(400px) translate3D(0,-64px,-100px) rotateX(60deg); }
}

html {
	height: 100%;
}
body {
	box-sizing: border-box;
	min-height: 100%;
	margin: 0;
	display: flex;
	flex-direction: column;
	background: linear-gradient(#fff 55%, #eee 60%, #d1d6dd) fixed;
	font-family: Manrope, sans-serif;
}
h1,
h2,
h3 {
	font-family: 'Ovo', serif;
}
h2 {
	margin: 0;
	padding: 16px 0;
	border-top: dotted 1px;
	font-size: 24px;
	text-transform: uppercase;
	transition: 0.3s;
}
p {
	margin: 8px 0;
	line-height: 1.2;
	text-align: justify;
	hyphens: auto;
	transition: 0.3s;
}
a {
	font-weight: bold;
	color: #568;
	text-decoration: none;
	transition: 0.3s;
}
a:hover {
	color: #014;
}

main {
	width: 100%;
	max-width: 1024px;
	margin: 0 auto;
	padding:0 32px;
	flex: 1;
}
main>section {
	margin: 0 0 32px;
	padding: 0;
}

/*	Divers	*/
.columns {
	column-width: 360px;
	column-gap: 24px;
}
.columns>p {
	hyphens: auto;
}

.log {
	min-height: 40px;
	margin: 8px 0;
	padding: 8px 24px;
	border-radius: 3px;
	position: relative;
	background: #888;
	line-height: 1.2;
	color: #fff;
}
.log.good {
	padding-left: 64px;
	background: #8b0;
}
.log.good::before {
	content: '✔';
	width: 64px;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 40px;
	text-align: center;
}

/* Preview */
section.display,
section.preview {
	position: relative;
	overflow: hidden;
	transition: 0.3s;
}
section.preview {
	max-height: 160px;
}
section.preview::after {
	box-sizing: border-box;
	width: 100%;
}
.auto_btn {
	margin: 8px;
	padding: 4px 16px;
	border-radius: 3px;
	position: absolute;
	top: 0;
	right: 0;
	display: block;
	background: #568;
	box-shadow: 0 0 2px rgba(0,0,0,0.1), 0 0 4px rgba(0,0,0,0.1);
	text-align: center;
	color: #fff;
	transition: 0.3s;
	cursor: pointer;
}
section.preview:hover .auto_btn {
	background: #014;
}
.auto_btn:hover,
section.preview:hover .auto_btn:hover {
	background: #fff;
	color: #014;
}
section.display .auto_btn::after {
	content: '▲ Replier';
}
section.preview .auto_btn::after {
	content: '▼ Déplier';
}
section.display>*:first-child,
section.preview>*:first-child {
	padding-right: 112px;
}


/*		*/
/*	ENTÊTE	*/

body>header>h1 {
	margin: 0;
	text-align: center;
	line-height: 1;
}
body>header>h1>a {
	padding: 64px 0;
	display: block;
}
body>header>h1>a::before {
	content: '';
	width: 128px;
	height: 128px;
	margin: 0 auto 32px;
	display: block;
	background: url('images/logo.svg') 50% / 100% no-repeat;
	animation: go_in cubic-bezier(0,0.2,0,1) 1s;
	transition: 0.3s;
}
body>header>h1>a:hover::before {
	transform: scale(1.1);
}
body>header>h1>a>strong {
	display: block;
	font-size: 48px;
	font-weight: normal;
	text-transform: uppercase;
	transition: 0.3s;
	animation: fade_in ease-out 2s;
}
body>header>h1>a>em {
	font-size: 18px;
	transition: 0.3s;
	animation: fade_in ease-out 4s;
}


/*			*/
/*	PRINCIPAL	*/

/*	INTRODUCTION	*/

#intro {
	font-size: 18px;
}

/*	MANIFESTATIONS	*/

#manifs>nav {
	margin: 8px 0;
	padding: 4px 8px;
	border-radius: 4px;
	position: relative;
	z-index: 1;
	display: flex;
	flex-wrap: wrap;
	background: linear-gradient(#ddd, #334) fixed;
	color: #fff;
	text-shadow: 0 1px 0 rgba(255,255,255,0.2);
	user-select: none;
}
#manifs>nav>div {
	box-sizing: border-box;
	min-width: 128px;
	margin: 4px;
	border: solid 1px rgba(255,255,255,0.5);
	border-radius: 3px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	flex: 1;
	line-height: 1.1;
	text-align: center;
	transition: 0.3s;
}
#manifs>nav>div:hover,
#manifs>nav>div.selected {
	border: solid 1px #fff;
	background: rgba(255,255,255,0.1);
}
#manifs>nav>div>div {
	height: 100%;
	padding: 16px;
	position: relative;
	display: flex;
	flex-direction: column;
	justify-content: center;
}
#manifs>nav>div.nav_css:hover>div::after {
	content: '';
	width: 100%;
	height: 100%;
	padding: 8px 0;
	position: absolute;
	top: 100%;
	left: 0;
}
#manifs>nav>div>div>strong {
	display: block;
}
#manifs>nav>div.nav_js>div {
	cursor: pointer;
}
#manifs>nav>div>div>strong::after {
	content: ' :';
}
#manifs>nav>div>ul {
	box-sizing: border-box;
	width: 100%;
	margin: -8px 0 0;
	padding: 16px 8px 8px;
	border-radius: 0 0 4px 4px;
	position: absolute;
	top: 100%;
	left: 0;
	display: none;
	background: linear-gradient(#ddd, #334) fixed;
	list-style: none;
}
#manifs>nav.nav_css>div:hover>ul,
#manifs>nav>div.selected>ul {
	display: block;
}
#manifs>nav>div>ul>li {
	float: left;
}
#manifs>nav>div>ul>li>a,
#manifs>nav>div>ul>li>span {
	margin: 4px;
	padding: 4px 16px;
	border-radius: 3px;
	display: block;
}
#manifs>nav>div>ul>li>a {
	background: #014;
}
#manifs>nav>div>ul>li>a:hover {
	background: #fff;
	color: #014;
}
#manifs>nav>div>ul>li>span {
	background: rgba(255,255,255,0.1);
}
#manifs>nav a {
	color: #fff;
}
#manifs>nav a:hover {
	text-shadow: 0 0 2px rgba(255,255,255,0.2), 0 0 8px rgba(255,255,255,0.2);
}
#manifs>nav>.ajouter>a {
	padding: 16px;
	border-radius: 3px;
}
#manifs>nav>.ajouter>a::before {
	content: '+';
	width: 24px;
	height: 24px;
	margin: 0 auto 4px;
	border: solid 1px;
	border-radius: 50%;
	display: block;
	font-size: 22px;
	font-weight: normal;
	text-align: center;
	line-height: 24px;
}
#manifs>.liste {
	margin: 4px -4px;
	padding: 4px 8px;
	border-radius: 4px;
	background: linear-gradient(#fff, #e7e9ec) fixed;
	list-style: none;
	text-shadow: 0 1px 0 rgba(255,255,255,0.2);
}
#manifs>.liste>li {
	box-sizing: border-box;
	margin: 4px;
	padding: 4px 16px;
	border: double 3px rgba(0,0,0,0.1);
	border-radius: 3px;
	position: relative;
	display: flex;
	flex-direction: column;
}
#manifs>.liste>li>.meeting {
	box-sizing: border-box;
	padding: 8px;
	border-radius: 4px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	background: linear-gradient(#777, #333);
	text-align: center;
	color: #fff;
}
#manifs>.liste>li>.meeting>*:not(:first-child) {
	margin: 8px 0 0;
	padding: 8px 0 0;
	border-top: dotted 1px rgba(255,255,255,0.7);
}
#manifs>.liste>li:hover>.meeting {
	background: linear-gradient(#78a, #235);
}
#manifs>.liste>li>.meeting .day {
	display: block;
	font-size: 64px;
	line-height: 1;
}
#manifs>.liste>li>.meeting .month {
	display: block;
	font-size: 14px;
}
#manifs>.liste>li>.meeting>.hour {
	font-size: 12px;
	letter-spacing: 4px;
	color: rgba(255,255,255,0.7);
}
#manifs>.liste>li>.meeting>.place {
	font-size: 12px;
}
#manifs>.liste>li>.org {
	padding: 8px 0;
	display: flex;
	flex-direction: column;
	justify-content: center;
	order: 2;
	font-size: 14px;
	text-align: center;
	line-height: 1.1;
}
#manifs>.liste>li>.org>img {
	width: 96px;
	height: 96px;
	margin: 0 auto 8px;
	border-radius: 50%;
	display: block;
	background: #fff;
	box-shadow: 0 0 2px rgba(0,0,0,0.1), 0 0 8px rgba(0,0,0,0.1);
}
#manifs>.liste>li>.infos {
	flex: 1;
}
#manifs>.liste>li>.infos>strong {
	margin: 0 0 16px;
	padding: 8px 0 16px;
	border-bottom: dotted 1px;
	position: relative;
	display: block;
	font-size: 18px;
	font-weight: normal;
	text-transform: uppercase;
	text-align: center;
}
#manifs>.liste>li>.infos>.place {
	font-size: 14px;
	color: #888;
}
#manifs>.liste>li a {
	width: 100%;
	height: 100%;
	overflow: hidden;
	position: absolute;
	top: 0;
	left: 0;
	display: inline-block;
	font-size: 0;
	text-indent: -999px;
}
#manifs>.liste>li a:hover {
	background: rgba(0,17,68,0.05);
}


/*	CONNEXION	*/

#connexion>form {
	margin: 16px -8px;
	padding: 0;
	border: none;
	display: flex;
	flex-wrap: wrap;
}
#connexion>form>fieldset {
	margin: 8px;
	padding: 8px 16px;
	border: solid 1px rgba(0,0,0,0.2);
	border-radius: 4px;
	position: relative;
	flex: 1 0 0;
	/*box-shadow: 0 1px 0 #fff, 0 1px 0 #fff inset;*/
}
#connexion>form>fieldset>legend {
	height:0;
	padding: 0 16px;
	position: relative;
	top: -10px;
	font-size: 14px;
	color: rgba(0,0,0,0.5);
	text-shadow: 0 1px 0 #fff;
}
.form_label {
	margin: 8px 0;
	position: relative;
}
.form_label>a {
	font-size: 14px;
}
.form_label>label {
	padding: 6px;
	padding-left: 40px;
	border: solid 1px rgba(0,0,0,0.1);
	border-radius: 3px;
	display: block;
	transition: 0.3s;
}
.form_label>label:hover {
	background: rgba(255,255,255,0.5);
}
.form_label>input[type="checkbox"] {
	width: 16px;
	height: 16px;
	margin: -8px;
	position: absolute;
	top: 50%;
	left: 20px;
}
#connexion>form>fieldset>input[type="text"],
#connexion>form>fieldset>input[type="email"],
#connexion>form>fieldset>input[type="password"] {
	box-sizing: border-box;
	width: 100%;
	margin: 8px 0;
	padding: 6px 16px;
	border: solid 1px rgba(0,0,0,0.2);
	border-radius: 3px;
	display: block;
	font-size: 18px;
}
#connexion>form>fieldset>input::placeholder {
	font-style: italic;
	color: rgba(0,0,0,0.5);
}
#connexion>form>fieldset>input[type="submit"] {
	box-sizing: border-box;
	width: 100%;
	padding: 16px;
	border: solid 1px;
	border-radius: 3px;
	background: linear-gradient(#fff, #f1f2f4);
	font-size: 20px;
	color: #568;
	text-shadow: 0 1px 0 #fff;
	transition: 0.3s;
}
#connexion>form>fieldset>input[type="submit"]:hover {
	color: #014;
}

/*			*/
/*	PIED DE PAGE	*/

body>footer {
	background: linear-gradient(#333, #111);
	padding: 32px;
	text-align: center;
	color: #fff;
}
body>footer a {
	color: #fff;
}
body>footer a:hover {
	color: #fff;
	text-shadow: 0 0 8px rgba(255,255,255,0.7);
}


/*			*/
/*	RESPONSIVE	*/

@media screen and (min-width: 640px) {
	p {
		hyphens: none;
	}
	h2 {
		font-size: 32px;
	}
	body>header>h1>strong {
		font-size: 64px;
	}
	body>header>h1>em {
		font-size: 24px;
	}
	#intro {
		font-size: 20px;
	}
	#manifs>.liste>li {
		flex-direction: row;
	}
	#manifs>.liste>li>.infos{
		margin: 0 16px;
	}
	#manifs>.liste>li>.meeting,
	#manifs>.liste>li>.org {
		width: 128px;
	}
}